Bug 19082 - PackageKit error saying "No Package Matching preupgrade"
Summary: PackageKit error saying "No Package Matching preupgrade"
Status: RESOLVED FIXED
Alias: None
Product: PackageKit
Classification: Unclassified
Component: backend-yum (show other bugs)
Version: unspecified
Hardware: x86 (IA32) Linux (All)
: medium normal
Assignee: Richard Hughes
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-12-14 15:19 UTC by Yannick Lyn Fatt
Modified: 2008-12-21 15:51 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yannick Lyn Fatt 2008-12-14 15:19:26 UTC
Error Type: <class 'yum.Errors.PackageSackError'>
Error Value: No Package Matching preupgrade
  File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 2202, in <module>
    main()
  File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 2199, in main
    backend.dispatcher(sys.argv[1:])
  File : /usr/lib/python2.5/site-packages/packagekit/backend.py, line 599, in dispatcher
    self.dispatch_command(args[0], args[1:])
  File : /usr/lib/python2.5/site-packages/packagekit/backend.py, line 503, in dispatch_command
    self.get_distro_upgrades()
  File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 1674, in get_distro_upgrades
    pkgs = self.yumbase.pkgSack.returnNewestByName(name='preupgrade')
  File : /usr/lib/python2.5/site-packages/yum/packageSack.py, line 399, in returnNewestByName
    raise PackageSackError, 'No Package Matching $s' $ ui_pats
Comment 1 Richard Hughes 2008-12-15 00:55:14 UTC
Should be fixed in 0.3.12 -- what version are you running?
Comment 2 Yannick Lyn Fatt 2008-12-20 07:53:58 UTC
I'm currently using Fedora 10 KDE with version 0.3.9 of PackageKit.
Comment 3 Richard Hughes 2008-12-21 02:00:18 UTC
Can you try with PackageKit 0.3.12 please.
Comment 4 Yannick Lyn Fatt 2008-12-21 15:50:32 UTC
updating to PackageKit 0.3.12 solved the problem.
Comment 5 Yannick Lyn Fatt 2008-12-21 15:51:43 UTC
thanks Richard.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.